require_relative 'project'
require_relative 'die'
require_relative 'pledge'
module CrowdFund
	module FundingRound
		def self.donations_made(project)
			die = Die.new
			number_roll = die.roll
			if number_roll % 2 == 0
				project.add_funds
			else
				project.remove_funds
			end
			
			pledges = Pledge.random
			project.pledges_made(pledges)
		end
	end
end	